Method: projects.locations.retrieveAgentOpsObservability

Gets agent observability settings and the status of required services.

HTTP request

GET https://geminidataanalytics.googleapis.com/v1alpha/{parent=projects/*/locations/*}:retrieveAgentOpsObservability

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location for which to retrieve agent observability settings. Format: projects/{project}/locations/{location}

Query parameters

Parameters
dataSourceType

string

Required. The data source type for which to retrieve observability settings. The only supported value is bigquery.

Request body

The request body must be empty.

Response body

Response for locations.retrieveAgentOpsObservability.

If successful, the response body contains data with the following structure:

JSON representation
{
  "telemetryEnabled": boolean,
  "bigqueryEnabled": boolean,
  "cloudTraceEnabled": boolean,
  "cloudMonitoringEnabled": boolean,
  "cloudLoggingEnabled": boolean,
  "bqaaEnabled": boolean
}
Fields
telemetryEnabled

boolean

Output only. Whether agent observability telemetry is enabled.

bigqueryEnabled

boolean

Output only. Whether the BigQuery API is enabled.

cloudTraceEnabled

boolean

Output only. Whether the Cloud Trace API is enabled.

cloudMonitoringEnabled

boolean

Output only. Whether the Cloud Monitoring API is enabled.

cloudLoggingEnabled

boolean

Output only. Whether the Cloud Logging API is enabled.

bqaaEnabled

boolean

Output only. Whether BigQuery Agent Analytics is enabled.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.